| Home | Libraries | People | FAQ | More

##### zlib::deflate_stream::deflate_stream

Construct a default deflate stream.

###### Synopsis

    deflate_stream();

###### Description

Upon construction, the stream settings will be set to these default values:

- `level = 6`
- `windowBits = 15`
- `memLevel = 8`
- `strategy = Strategy::normal`

Although the stream is ready to be used immediately after construction, any required internal buffers are not dynamically allocated until needed.